[gelöst]libGL.so.1 fehlt

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Lausi
Newbie
Newbie
Beiträge: 40
Registriert: 24. Jul 2004, 12:51
Wohnort: Biel, Schweizlein
Kontaktdaten:

[gelöst]libGL.so.1 fehlt

Beitrag von Lausi » 13. Feb 2005, 12:46

Hallihallo

Als Segelflieger möchte ich mir gerne das Programm da installieren.

Sowohl APT, Yast wie auch die Konsole meckern:

Code: Alles auswählen

linux:/home/Family/ori_sw/KFLOG # rpm -Uhv GPLIGC-041209-1.i586.rpm
error: Failed dependencies:
        libGL.so.1(LIBGL) is needed by GPLIGC-041209-1
Goorgeln brachte mir keinen wirklichen Weisheitszuwachs.
In welchem Paket, bzw. in welchem Repository finde ich die Datei?

Ich habe SUSE 9.1, KDE 3.3, NVidia GeForce3 Ti200 mit neuestem Treiber selon oc2pus, XFree86 und was brauchts noch an Info?

THX für alle Tipps!
Zuletzt geändert von Lausi am 13. Feb 2005, 13:54, insgesamt 1-mal geändert.
Gruss an die Gemeinde
Lausi

Der beste Beweis, dass es intelligente Lebewesen im All gibt, ist die Tatsache, dass sie bisher noch nie versucht haben, Kontakt mit uns aufzunehmen...

Werbung:
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 13. Feb 2005, 12:52

1.) ok, diese lib "wohnt" in xorg-x11-Mesa (bzw. XFree86-Mesa)
prüfe ob du dieses RPM installiert hast mit diesem Befehl:
rpm -q xorg-x11-Mesa

2.) probiere in einer Konsole als root:
apt install /pfad/zu/diesem/RPM/GPLIGC-041209-1.i586.rpm

dann sollte apt evtl fehlende RPMs nachinstallieren.
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Lausi
Newbie
Newbie
Beiträge: 40
Registriert: 24. Jul 2004, 12:51
Wohnort: Biel, Schweizlein
Kontaktdaten:

Beitrag von Lausi » 13. Feb 2005, 13:36

Hallihallo

Danke für die schnelle Antwort.

XFree86-MESA und -Mesa-devel sind installiert (beides Version 4.3.99.902-40), dann machts aber:
linux:/home/Family/ori_sw/KFLOG # apt install /home/Family/ori_sw/KFLOG/GPLIGC-041209-1.i586.rpm
Lese Paketlisten... Fertig
Erzeuge Abhängigkeitsbaum... Fertig
Selecting GPLIGC for '/home/Family/ori_sw/KFLOG/GPLIGC-041209-1.i586.rpm'
Einige Pakete konnten nicht installiert werden. Dies könnte bedeuten,
dass Sie eine unmögliche Situation angefordert haben oder, falls Sie die
instabile Distribution verwenden, dass einige benötigte Pakete noch nicht
erzeugt oder aus 'Incoming' verschoben worden sind.

Da Sie nur eine einzelne Operation angefordert haben, ist es extrem
wahrscheinlich, dass das Paket schlichtweg nicht installierbar ist und
ein Bugreport über dieses Paket eingereicht werden sollte.
Die folgende Information könnte helfen die Sitation zu beheben:

Die folgenden Pakete besitzen unerfülte Abhängigkeiten:
GPLIGC: Hängt ab von: libGL.so.1(LIBGL) aber es ist nicht installierbar
E: Fehlerhafte Pakete
Logischerweis' gleiche Meldung wie mit synaptic :(

Code: Alles auswählen

linux:~ # find | grep libGL.so.1
ergibt gar nüscht...
Gruss an die Gemeinde
Lausi

Der beste Beweis, dass es intelligente Lebewesen im All gibt, ist die Tatsache, dass sie bisher noch nie versucht haben, Kontakt mit uns aufzunehmen...

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 13. Feb 2005, 13:44

ok, dann brauchst du ein virtuelles RPM für diese lib.

wie das geht steht hier:
http://linux-club.de/viewtopic.php?t=13336
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Lausi
Newbie
Newbie
Beiträge: 40
Registriert: 24. Jul 2004, 12:51
Wohnort: Biel, Schweizlein
Kontaktdaten:

Beitrag von Lausi » 13. Feb 2005, 13:53

THX, funzt! :D
Gruss an die Gemeinde
Lausi

Der beste Beweis, dass es intelligente Lebewesen im All gibt, ist die Tatsache, dass sie bisher noch nie versucht haben, Kontakt mit uns aufzunehmen...

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 4 Gäste